function ViewAllResults(path, ticker);
% отображает графики всех результатов из данной папки для данного тикера.
if nargin==0
    path='E:\!tir\20090515\tir\';
    ticker='^BFX';
end
CumulativeA_file=[path ticker '_closeCumulativeA.txt'];
CumulativeA_prognozfile=[path ticker '_CumulateveASintrend_MarkovPrognoz_itog.txt'];
CumulativeA_po_prognozufile=[path ticker '_close_CumulativeA_fromPrognoz.txt'];
CumulativeA_minusplusfile=[path ticker '_closeCumulateveA_PoMinusPlus.txt'];

    CumulativeA=dlmread(CumulativeA_file);
try
    CumulativeA_prognoz=dlmread(CumulativeA_prognozfile);
    if (CumulativeA_prognoz(1)~=CumulativeA(1))
        CumulativeA_prognoz=CumulativeA_prognoz-ones(size(CumulativeA_prognoz))*(CumulativeA_prognoz(1)-CumulativeA(1));
    end
    ser1=1;
catch
    ser1=0;
end
try
    CumulativeA_po_prognozu=dlmread(CumulativeA_po_prognozufile);
    if (CumulativeA_po_prognozu(1)~=CumulativeA(1))
        CumulativeA_po_prognozu=CumulativeA_po_prognozu-ones(size(CumulativeA_po_prognozu))*(CumulativeA_po_prognozu(1)-CumulativeA(1));
    end
    ser2=1;
catch
    ser2=0;
end
try
    CumulativeA_minusplus=dlmread(CumulativeA_minusplusfile);
    if (CumulativeA_minusplus(1)~=CumulativeA(1))
        CumulativeA_minusplus=CumulativeA_minusplus-ones(size(CumulativeA_minusplus))*(CumulativeA_minusplus(1)-CumulativeA(1));
    end
    ser3=1;
catch
    ser3=0;
end
    
end


% Prognoz Sintrenda
if (ser1==1)
f=figure;

line=plot(CumulativeA_prognoz,'b');
set(line,'LineWidth',2);
hold on;
line=plot(CumulativeA,'r');
set(line,'LineWidth',2);

set(gca,'FontSize',14);
set(get(gca,'XLabel'),'String','time, days')
set(get(gca,'XLabel'),'FontSize',14);
set(get(gca,'YLabel'),'String','CumulativeA_i')
set(get(gca,'YLabel'),'FontSize',14);

t=title([ticker 'CumulativeA_i SintrendMarkovPrognoz']);
set(t,'Interpreter','none');
end
% Sintrend po prognozu
if (ser2==1)
f=figure;

line=plot(CumulativeA_po_prognozu,'b');
set(line,'LineWidth',2);
hold on;
line=plot(CumulativeA,'r');
set(line,'LineWidth',2);

set(gca,'FontSize',14);
set(get(gca,'XLabel'),'String','time, days')
set(get(gca,'XLabel'),'FontSize',14);
set(get(gca,'YLabel'),'String','CumulativeA_i')
set(get(gca,'YLabel'),'FontSize',14);

t=title([ticker 'CumulativeA_i po prognozu']);
set(t,'Interpreter','none');
end
% Sintrend minusplus
if (ser3==1)
f=figure;

line=plot(CumulativeA_minusplus,'b');
set(line,'LineWidth',2);
hold on;
line=plot(CumulativeA,'r');
set(line,'LineWidth',2);

set(gca,'FontSize',14);
set(get(gca,'XLabel'),'String','time, days')
set(get(gca,'XLabel'),'FontSize',14);
set(get(gca,'YLabel'),'String','CumulativeA_i')
set(get(gca,'YLabel'),'FontSize',14);

t=title([ticker 'CumulativeA_i po prognozu']);
set(t,'Interpreter','none');
end